Debian Bug report logs - #541297
could not open failure message template ${prefix}/share/masqmail/tpl/failmsg.tpl

version graph

Package: masqmail; Maintainer for masqmail is Steffen Rumberger <inne@sdfeu.org>; Source for masqmail is src:masqmail.

Reported by: <olafBuddenhagen@gmx.net>

Date: Thu, 13 Aug 2009 05:57:01 UTC

Severity: grave

Tags: patch

Found in version masqmail/0.2.21-7

Fixed in version masqmail/0.2.21-7.1

Done: Johann Felix Soden <johfel@gmx.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, markus schnalke <meillo@marmaro.de>:
Bug#541297; Package masqmail. (Thu, 13 Aug 2009 05:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to <olafBuddenhagen@gmx.net>:
New Bug report received and forwarded. Copy sent to markus schnalke <meillo@marmaro.de>. (Thu, 13 Aug 2009 05:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: <olafBuddenhagen@gmx.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: could not open failure message template ${prefix}/share/masqmail/tpl/failmsg.tpl
Date: Thu, 13 Aug 2009 07:54:15 +0200
Package: masqmail
Version: 0.2.21-7
Severity: grave
Justification: causes non-serious data loss

The error message "could not open failure message template
${prefix}/share/masqmail/tpl/failmsg.tpl" appears in masqmail.log when
message delivery fails.

It seems it tries to open the error template with the string "${prefix}"
contained literally in the file name... Probably it's not properly
expanded in the configure machinery. I have a vague recollection of
someone else talking about a similar problem with another program --
unfortunately I don't remember the conclusion.

I have seen these errors now and then for some time; but I didn't pay
attention to them... Only now I realized that this actually means the
mail could not be delivered, and I won't get a failure notice -- I
wonder how many mails I lost because of that :-(

I consider this a kind of data loss -- thus the severity.

(BTW, it would be nice if the actual message IDs were printed in the
logs, not only the internal ID -- this would make it much easier to find
the referenced mails...)

Actually the cause of delivery failure was temporary in this case, so
the messages simply could have been left in the queue, instead of
generating a failure notice -- but I guess that depends on how the
external mail server handles it, not on masqmail's own policy?...

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.29
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/dash

Versions of packages masqmail depends on:
ii  debconf [debconf-2.0]         1.5.27     Debian configuration management sy
ii  libc6                         2.9-23     GNU C Library: Shared libraries
ii  libglib2.0-0                  2.20.1-2   The GLib library of C routines
ii  libident                      0.22-3     simple RFC1413 client library - ru
ii  liblockfile1                  1.08-3     NFS-safe locking library, includes
ii  netbase                       4.37       Basic TCP/IP networking system
ii  update-inetd                  4.31       inetd configuration file updater

masqmail recommends no packages.

Versions of packages masqmail suggests:
ii  bsd-mailx [mail-re 8.1.2-0.20081101cvs-2 A simple mail user agent
ii  cone [mail-reader] 0.77-2                COnsole Newsreader and Emailer
ii  logrotate          3.7.7-3               Log rotation utility
ii  mutt [mail-reader] 1.5.20-2              text-based mailreader supporting M

-- debconf-show failed




Information forwarded to debian-bugs-dist@lists.debian.org, markus schnalke <meillo@marmaro.de>:
Bug#541297; Package masqmail. (Fri, 27 Nov 2009 21:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johann Felix Soden <johfel@gmx.de>:
Extra info received and forwarded to list. Copy sent to markus schnalke <meillo@marmaro.de>. (Fri, 27 Nov 2009 21:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 541297@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: 541297@bugs.debian.org
Subject: Workaround for this bug
Date: Fri, 27 Nov 2009 22:52:03 +0100
[Message part 1 (text/plain, inline)]
A workaround to this bug is supplying the right datadir to ./configure
manually as shown in the attached patch.

[nmu_fix_datadir.diff (text/x-patch, attachment)]

Added tag(s) patch. Request was from Johann Felix Soden <johfel@gmx.de> to control@bugs.debian.org. (Fri, 27 Nov 2009 21:57:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, markus schnalke <meillo@marmaro.de>:
Bug#541297; Package masqmail. (Fri, 27 Nov 2009 22:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johann Felix Soden <johfel@gmx.de>:
Extra info received and forwarded to list. Copy sent to markus schnalke <meillo@marmaro.de>. (Fri, 27 Nov 2009 22:42:06 GMT) Full text and rfc822 format available.

Message #17 received at 541297@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: 541297@bugs.debian.org
Subject: Corrected patch
Date: Fri, 27 Nov 2009 23:35:23 +0100
[Message part 1 (text/plain, inline)]
My first patch installed files into /usr/share/doc/masqmail/masqmail/
instead of /usr/share/doc/masqmail/. Here the corrected patch.
[nmu_fix_datadir.diff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, markus schnalke <meillo@marmaro.de>:
Bug#541297; Package masqmail. (Sat, 28 Nov 2009 10:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to markus schnalke <meillo@marmaro.de>. (Sat, 28 Nov 2009 10:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 541297@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 541297@bugs.debian.org
Subject: masqmail: diff for NMU version 0.2.21-7.1
Date: Sat, 28 Nov 2009 11:38:16 +0100
[Message part 1 (text/plain, inline)]
Dear maintainer,

I've uploaded an NMU for masqmail (versioned as 0.2.21-7.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #364:  Sand fleas eating the Internet cables 
[masqmail-0.2.21-7.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Johann Felix Soden <johfel@gmx.de>:
You have taken responsibility. (Sat, 28 Nov 2009 10:51:11 GMT) Full text and rfc822 format available.

Notification sent to <olafBuddenhagen@gmx.net>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 10:51:12 GMT) Full text and rfc822 format available.

Message #27 received at 541297-close@bugs.debian.org (full text, mbox):

From: Johann Felix Soden <johfel@gmx.de>
To: 541297-close@bugs.debian.org
Subject: Bug#541297: fixed in masqmail 0.2.21-7.1
Date: Sat, 28 Nov 2009 10:48:43 +0000
Source: masqmail
Source-Version: 0.2.21-7.1

We believe that the bug you reported is fixed in the latest version of
masqmail, which is due to be installed in the Debian FTP archive:

masqmail_0.2.21-7.1.diff.gz
  to main/m/masqmail/masqmail_0.2.21-7.1.diff.gz
masqmail_0.2.21-7.1.dsc
  to main/m/masqmail/masqmail_0.2.21-7.1.dsc
masqmail_0.2.21-7.1_i386.deb
  to main/m/masqmail/masqmail_0.2.21-7.1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 541297@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Johann Felix Soden <johfel@gmx.de> (supplier of updated masqmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 27 Nov 2009 22:19:24 +0100
Source: masqmail
Binary: masqmail
Architecture: source i386
Version: 0.2.21-7.1
Distribution: unstable
Urgency: low
Maintainer: markus schnalke <meillo@marmaro.de>
Changed-By: Johann Felix Soden <johfel@gmx.de>
Description: 
 masqmail   - mail transport agent for intermittently connected hosts
Closes: 541297
Changes: 
 masqmail (0.2.21-7.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fixed directory to message template files in binary by supplying the
     datadir to ./configure manually. (Closes: #541297)
Checksums-Sha1: 
 23d5e2fdc64b20199c1b7a6c731cebbdb398d508 1660 masqmail_0.2.21-7.1.dsc
 644f428fd83c70bb1df368a788f6dcaed34e7781 121697 masqmail_0.2.21-7.1.diff.gz
 efff4cd0c2846dbab80f38285ce4bbfd3eaa3106 144300 masqmail_0.2.21-7.1_i386.deb
Checksums-Sha256: 
 84d146ff4332cfeff0530ea0caeaf7f584965a70c8b5495fbf5033ee1d44a800 1660 masqmail_0.2.21-7.1.dsc
 0043f63e47332f449382f4e2daa867c6d520ce3cff44ae24111fa3e0116b577d 121697 masqmail_0.2.21-7.1.diff.gz
 1cc4ab32002ea1afeeec6c46e3694c9ee2ed16a25358b67784d0be0b318728e6 144300 masqmail_0.2.21-7.1_i386.deb
Files: 
 231c72d639d5ef39504ef54e3bc7a44f 1660 mail extra masqmail_0.2.21-7.1.dsc
 76238c45e5d662f21851bfbc9052337a 121697 mail extra masqmail_0.2.21-7.1.diff.gz
 a801d262ec454ade4d81247e68374679 144300 mail extra masqmail_0.2.21-7.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEP0gAAoJELs6aAGGSaoGJncP+wYbc7LzyKU8n/R6F3UhErU4
0BJVwZarw/RrCqG0VUZ3qP/ITtqaSkH3pcIzu6NX5FLz2MhE9Xs9mHUlxgnns/lE
NuCFrqI0b5pu/ylCzJxFeelJGpaoomcom638KUvc8N+clWu8c+vfT3P0x9uUWcZ/
Q/1tdOHU5Q8vv0Req3IOu458qcavMgVwmBsobHGOhOHAw6r1lOFCKBwWHuO/VAfY
gC3Frv9gsm0UMerI/ocM62IYfzAAJY/L05xzTzDjf9qQiGo33VdsGroQ5kMxYOkl
M9zzZMoW3DuSTPAIbHwnilSPuR3ixgZeVP8VOrsGuJJFNZ/wKPl/Y7PkLf6h79cC
p1KgRdse9nOIp3HDuhSdLhGayzrkkYwp6TM0UD5XeWTVqKyJpnkzQoAD5uWVMaok
RtjjtsI1VkdwC+k+Av9mjA2bz5cZX4fmzuC542WlP4po+qG3D2nRufE0u7/o1Ipq
FBoaRhdWvKucRB1RcBoxcFG4FVUgDtozFVmiNZtQKNtxWQSpaiGtai8S0CIQPerL
PYtPGIL+fIsRf/g4Rs7OI3xjvd1U9zfcH2bdGJvPXa/Tpng3XXX7pkUzpMZY+mg7
KD03BjO2xSxwE1A7BrzpNVOrICN/ejFIqsrrl03cUH3AKBxou58kJ95cIr3WfTg9
Sy86Wbi0F6kZgIgD/RSN
=1iZi
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#541297; Package masqmail. (Sat, 28 Nov 2009 11:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to markus schnalke <meillo@marmaro.de>:
Extra info received and forwarded to list. (Sat, 28 Nov 2009 11:18:10 GMT) Full text and rfc822 format available.

Message #32 received at 541297@bugs.debian.org (full text, mbox):

From: markus schnalke <meillo@marmaro.de>
To: gregor herrmann <gregoa@debian.org>, 541297@bugs.debian.org, debian-bugs-dist@lists.debian.org
Subject: Re: Bug#541297: masqmail: diff for NMU version 0.2.21-7.1
Date: Sat, 28 Nov 2009 11:54:04 +0100
[2009-11-28 11:38] gregor herrmann <gregoa@debian.org> 
> 
> Dear maintainer,
> 
> I've uploaded an NMU for masqmail (versioned as 0.2.21-7.1). The diff
> is attached to this message.

Thanks.


meillo




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 06 Jan 2010 07:40:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 08:12:32 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.